## kcharselect 23.08.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.2")
set (KF_MIN_VERSION "5.102.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package (Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Bookmarks
    CoreAddons
    Crash
    I18n
    WidgetsAddons
    XmlGui
)

find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)


ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KCHARSELECT VERSION_HEADER kcharselect_version.h)

ecm_set_disabled_deprecation_versions(QT 6.5 KF 5.240.0)

add_executable(kcharselect)

target_sources(kcharselect PRIVATE
    kcharselectdia.cc
    kcharselectdia.h
    main.cc

    kcharselect.qrc
)

target_link_libraries(kcharselect
    KF${KF_MAJOR_VERSION}::Bookmarks
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::Crash
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    KF${KF_MAJOR_VERSION}::XmlGui
)

install(TARGETS kcharselect ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES org.kde.kcharselect.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kcharselect.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cc *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kcharselect (4:23.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update build-deps with info from cmake.

 -- Jesse Rhodes <jesse@sney.ca>  Sun, 05 Nov 2023 17:09:28 -0500

=== debian/control ===
Source: kcharselect
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               libkf5bookmarks-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/kcharselect
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcharselect
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcharselect.git
Rules-Requires-Root: no

Package: kcharselect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

## kcharselect 23.08.4

=== debian/changelog ===
kcharselect (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:13:38 +0000

kcharselect (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:04 +0000

kcharselect (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:29:21 +0100

## kcharselect 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kcharselect (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:41:12 +0200

kcharselect (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:02:32 +0000

kcharselect (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:45:52 +0000

kcharselect (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:39:56 -0700

=== debian/control ===
Source: kcharselect
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.89.0~),
               libkf5bookmarks-dev (>= 5.89.0~),
               libkf5coreaddons-dev (>= 5.89.0~),
               libkf5crash-dev (>= 5.89.0~),
               libkf5doctools-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5widgetsaddons-dev (>= 5.89.0~),
               libkf5xmlgui-dev (>= 5.89.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/kcharselect
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcharselect
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcharselect
Rules-Requires-Root: no

Package: kcharselect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

## kcharselect 24.05.2

=== debian/changelog ===
kcharselect (4:24.05.2-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 03 Sep 2024 08:23:50 -0700

kcharselect (4:24.05.2-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2).

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependencies according to cmake.
  * Remove kf5 from rules.
  * Refresh copyright.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 26 Jul 2024 00:02:21 -0700

=== debian/control ===
Source: kcharselect
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libkf6bookmarks-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/kcharselect
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcharselect
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcharselect
Rules-Requires-Root: no

Package: kcharselect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

## kcharselect 24.08.2

=== debian/changelog ===
kcharselect (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:53:32 -0500

kcharselect (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 15:18:40 +0200

## kcharselect 24.12.0

=== debian/changelog ===
kcharselect (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:08:52 +0000

kcharselect (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:05:34 +0000

kcharselect (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 14:49:04 +0000

kcharselect (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:38:40 +0000

## kcharselect 24.12.1

=== debian/changelog ===
kcharselect (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 21:59:53 +0100

kcharselect (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:31:26 +0100

=== debian/control ===
Source: kcharselect
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               libkf6bookmarks-dev (>= 6.3.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev,
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/kcharselect
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcharselect
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcharselect.git
Rules-Requires-Root: no

Package: kcharselect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

## kcharselect 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "6.7.0")
set (KF_MIN_VERSION "6.3.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMAddAppIcon)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package (Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Bookmarks
    CoreAddons
    Crash
    I18n
    WidgetsAddons
    XmlGui
)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
find_package(KF6ConfigWidgets ${KF_DEP_VERSION} QUIET)
find_package(KF6IconThemes ${KF_DEP_VERSION} QUIET)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KCHARSELECT VERSION_HEADER kcharselect_version.h)

ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.7)

add_executable(kcharselect)

ecm_add_app_icon(kcharselect
    ICONS
        pics/16-apps-kcharselect.png
        pics/32-apps-kcharselect.png
        pics/64-apps-kcharselect.png
        pics/128-apps-kcharselect.png
        pics/256-apps-kcharselect.png
        pics/512-apps-kcharselect.png
        pics/1024-apps-kcharselect.png
)

target_sources(kcharselect PRIVATE
    kcharselectdia.cc
    kcharselectdia.h
    main.cc

    kcharselect.qrc
)

target_link_libraries(kcharselect
    KF6::Bookmarks
    KF6::CoreAddons
    KF6::Crash
    KF6::I18n
    KF6::WidgetsAddons
    KF6::XmlGui
)

if(TARGET KF6::ConfigWidgets)
    target_link_libraries(kcharselect KF6::ConfigWidgets)
    target_compile_definitions(kcharselect PRIVATE WITH_CONFIGWIDGET_LIB)
endif()
if(TARGET KF6::IconThemes)
    target_link_libraries(kcharselect KF6::IconThemes)
endif ()

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(kcharselect KF6::BookmarksWidgets)
endif()

install(TARGETS kcharselect ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES org.kde.kcharselect.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kcharselect.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

if (KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cc *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kcharselect (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 17:17:06 +0000

kcharselect (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:34:27 +0100

kcharselect (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 22:31:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kcharselect
 Section: utils
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@debian.org>,
@@ -21,8 +22,8 @@
                qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/kcharselect
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcharselect
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcharselect.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcharselect
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcharselect
 Rules-Requires-Root: no
 
 Package: kcharselect

## kcharselect 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})
 
 set (QT_MIN_VERSION "6.7.0")
-set (KF_MIN_VERSION "6.3.0")
+set (KF_MIN_VERSION "6.6.0")
 
 find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -47,7 +47,7 @@
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KCHARSELECT VERSION_HEADER kcharselect_version.h)
 
-ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.7)
+ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.12.0)
 
 add_executable(kcharselect)
 
@@ -87,9 +87,7 @@
     target_link_libraries(kcharselect KF6::IconThemes)
 endif ()
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(kcharselect KF6::BookmarksWidgets)
-endif()
+target_link_libraries(kcharselect KF6::BookmarksWidgets)
 
 install(TARGETS kcharselect ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kcharselect (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:59:05 +0200

=== debian/control ===
Source: kcharselect
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               libkf6bookmarks-dev (>= 6.6.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev,
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kcharselect/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcharselect
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcharselect.git
Rules-Requires-Root: no

Package: kcharselect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

## kcharselect 25.04.3

=== debian/changelog ===
kcharselect (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:40:09 +0100

kcharselect (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:41:43 +0100

kcharselect (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:04:04 +0100

kcharselect (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:45:59 +0100

## kcharselect 25.07.80

=== debian/changelog ===
kcharselect (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:07:00 +0100

## kcharselect 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})
@@ -47,7 +47,7 @@
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KCHARSELECT VERSION_HEADER kcharselect_version.h)
 
-ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.12.0)
+ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.14.0)
 
 add_executable(kcharselect)

=== debian/changelog ===
kcharselect (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:39:05 +0100

## kcharselect 25.08.0

=== debian/changelog ===
kcharselect (4:25.08.0-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 21:49:59 +0000

kcharselect (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:21:15 +0000

kcharselect (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 11:08:00 +0000

kcharselect (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:08:00 +0000

kcharselect (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:57:52 +0000

kcharselect (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:55:53 +0000

kcharselect (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:18:46 +0000

kcharselect (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:14:23 +0000

kcharselect (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:04:54 +0000

kcharselect (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:01:54 +0000

kcharselect (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:22:53 +0000

kcharselect (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:39:39 +0000

kcharselect (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:15:18 +0000

kcharselect (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Aug 2024 16:08:47 +0000

kcharselect (4:24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:21:24 +0000

kcharselect (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:58:10 +0000

kcharselect (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:22:10 +0000

kcharselect (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:10:12 +0000

kcharselect (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:04:17 +0000

kcharselect (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:45:18 +0000

kcharselect (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 15:45:54 +0000

kcharselect (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:20:54 +0000

kcharselect (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 21:58:34 +0000

kcharselect (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:51:29 +0000

kcharselect (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:33:44 +0000

## kcharselect 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})
@@ -35,6 +35,8 @@
     I18n
     WidgetsAddons
     XmlGui
+    ConfigWidgets
+    IconThemes
 )
 
 find_package(KF6DocTools ${KF_MIN_VERSION})
@@ -42,8 +44,6 @@
     "Tools to generate documentation"
     TYPE OPTIONAL
 )
-find_package(KF6ConfigWidgets ${KF_DEP_VERSION} QUIET)
-find_package(KF6IconThemes ${KF_DEP_VERSION} QUIET)
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KCHARSELECT VERSION_HEADER kcharselect_version.h)
 
@@ -77,17 +77,10 @@
     KF6::I18n
     KF6::WidgetsAddons
     KF6::XmlGui
+    KF6::ConfigWidgets
+    KF6::IconThemes
+    KF6::BookmarksWidgets
 )
-
-if(TARGET KF6::ConfigWidgets)
-    target_link_libraries(kcharselect KF6::ConfigWidgets)
-    target_compile_definitions(kcharselect PRIVATE WITH_CONFIGWIDGET_LIB)
-endif()
-if(TARGET KF6::IconThemes)
-    target_link_libraries(kcharselect KF6::IconThemes)
-endif ()
-
-target_link_libraries(kcharselect KF6::BookmarksWidgets)
 
 install(TARGETS kcharselect ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kcharselect (4:25.08.1-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 22:10:12 +0000

kcharselect (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:46:16 +0000

## kcharselect 25.08.1+p24.04+vstable+git20250909.1430

=== debian/changelog ===
kcharselect (4:25.08.1+p24.04+vstable+git20250909.1430-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 14:30:32 +0000

## kcharselect 25.08.1+p24.04+vstable+git20251001.1129

=== debian/changelog ===
kcharselect (4:25.08.1+p24.04+vstable+git20251001.1129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:30:00 +0000

## kcharselect 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kcharselect (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:42:40 +0100

kcharselect (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:52:06 +0100

kcharselect (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:21:45 +0100

=== debian/control ===
Source: kcharselect
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libkf6bookmarks-dev (>= 6.3.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev,
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/kcharselect
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcharselect
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcharselect
Rules-Requires-Root: no

Package: kcharselect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

## kcharselect 25.08.2+p24.04+vstable+git20251015.1148

=== debian/changelog ===
kcharselect (4:25.08.2+p24.04+vstable+git20251015.1148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:48:53 +0000

kcharselect (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:38:31 +0000

=== debian/control ===
Source: kcharselect
Section: utils
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kbookmarks-dev,
               kf6-kcolorscheme-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kcharselect.git
Vcs-Browser: https://invent.kde.org/neon/kde/kcharselect
Maintainer: Neon CI <neon@kde.org>

Package: kcharselect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

## kcharselect 25.08.2+p24.04+vstable+git20251019.0205

=== debian/changelog ===
kcharselect (4:25.08.2+p24.04+vstable+git20251019.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:05:15 +0000

## kcharselect 25.08.2+p24.04+vstable+git20251031.0828

=== debian/changelog ===
kcharselect (4:25.08.2+p24.04+vstable+git20251031.0828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:28:51 +0000

## kcharselect 25.08.2+p24.04+vunstable+git20251010.0819

=== debian/changelog ===
kcharselect (4:25.08.2+p24.04+vunstable+git20251010.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 08:19:19 +0000

## kcharselect 25.08.2+p24.04+vunstable+git20251020.1106

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})
@@ -47,7 +47,7 @@
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KCHARSELECT VERSION_HEADER kcharselect_version.h)
 
-ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.14.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
 
 add_executable(kcharselect)

=== debian/changelog ===
kcharselect (4:25.08.2+p24.04+vunstable+git20251020.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:06:41 +0000

## kcharselect 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})
@@ -47,7 +47,7 @@
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KCHARSELECT VERSION_HEADER kcharselect_version.h)
 
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.14.0)
 
 add_executable(kcharselect)

=== debian/changelog ===
kcharselect (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:12:21 +0000

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

## kcharselect 25.08.3+p24.04+vstable+git20251206.0354

=== debian/changelog ===
kcharselect (4:25.08.3+p24.04+vstable+git20251206.0354-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:54:31 +0000

kcharselect (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:45:49 +1000

## kcharselect 25.08.3+p24.04+vunstable+git20251123.1037

=== debian/changelog ===
kcharselect (4:25.08.3+p24.04+vunstable+git20251123.1037-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:37:47 +0000

## kcharselect 25.08.3+p24.04+vunstable+git20251206.0553

=== debian/changelog ===
kcharselect (4:25.08.3+p24.04+vunstable+git20251206.0553-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 05:53:53 +0000

## kcharselect 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})
@@ -47,7 +47,7 @@
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KCHARSELECT VERSION_HEADER kcharselect_version.h)
 
-ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.14.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
 
 add_executable(kcharselect)

=== debian/changelog ===
kcharselect (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:50:50 +0000

## kcharselect 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kcharselect (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:02:28 +0000

## kcharselect 25.12.0

=== debian/changelog ===
kcharselect (4:25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:25:14 +0000

kcharselect (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:26 +1000

## kcharselect 25.12.0+p24.04+vstable+git20251210.2311

=== debian/changelog ===
kcharselect (4:25.12.0+p24.04+vstable+git20251210.2311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 23:11:27 +0000

## kcharselect 25.12.0+p24.04+vunstable+git20251208.2154

=== debian/changelog ===
kcharselect (4:25.12.0+p24.04+vunstable+git20251208.2154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 21:54:15 +0000

## kcharselect 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kcharselect (4:25.12.1-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 01:07:09 +0000

kcharselect (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:33:45 +1000

## kcharselect 25.12.1+p24.04+vstable+git20260122.0854

=== debian/changelog ===
kcharselect (4:25.12.1+p24.04+vstable+git20260122.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 08:54:14 +0000

## kcharselect 25.12.1+p24.04+vstable+git20260129.0444

=== debian/changelog ===
kcharselect (4:25.12.1+p24.04+vstable+git20260129.0444-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 04:44:58 +0000

## kcharselect 25.12.1+p24.04+vstable+git20260201.0221

=== debian/changelog ===
kcharselect (4:25.12.1+p24.04+vstable+git20260201.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:21:34 +0000

## kcharselect 25.12.1+p24.04+vunstable+git20260123.0422

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kcharselect (4:25.12.1+p24.04+vunstable+git20260123.0422-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 04:22:31 +0000

## kcharselect 25.12.1+p24.04+vunstable+git20260129.0329

=== debian/changelog ===
kcharselect (4:25.12.1+p24.04+vunstable+git20260129.0329-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:29:32 +0000

## kcharselect 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kcharselect VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kcharselect (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:20:43 +0000

kcharselect (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:00:52 +0000

kcharselect (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:18:04 +0000
